Get subscriber events (timeline)

Returns subscriber activity events for the list between two Unix timestamps (inclusive range).

Query parameters

  • from (required): start of range (Unix timestamp, seconds)
  • to (required): end of range (Unix timestamp, seconds); must be greater than or equal to from
  • page (optional): zero-based page index (default 0). Page size is 100 events per page.

Event object

All events include id, email, happened_at (Unix timestamp), and type (string such as subscribe, email_sent, email_open, email_click, …).

Email-related types may also include email_id, send_id, letter_name, subject, and for clicks link.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required
Query Params
string
required

Start of time range (Unix timestamp)

string
required

End of time range (Unix timestamp)

integer
≥ 0
Defaults to 0

Zero-based page index

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json